<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Morse Code Translator</title>

    <link rel="stylesheet" href="static/styles.css" type="text/css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">


    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"
            integrity="sha384-oBqDVmMz9ATKxIep9tiCxS/Z9fNfEXiDAYTujMAeBAsjFuCZSmKbSSUnQlmh/jp3"
            crossorigin="anonymous"></script>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.min.js"
            integrity="sha384-mQ93GR66B00ZXjt0YO5KlohRA5SY2XofN4zfuZxLkoj1gXtW8ANNCe9d5Y3eG5eD"
            crossorigin="anonymous"></script>

</head>

<body>

    <div class="container form-cont">
        <form method="post">
            <label for="input-text" class="form-label">Enter your text here:</label>
            <textarea class="form-control" id="input-text" name="input-text" rows="4" cols="50"></textarea>
            <button class="btn btn-dark btn-lg" type="submit">Get Morse Code</button>
        </form>
    </div>

    <div class="container output-cont overflow-hidden">
        <div class="row gx-5">

            <div class="col card-col">
                <p>Text Provided:</p>
                <div class="card h-75">
                    <div class="card-body d-flex flex-column">
                        <p>{{ user_input }}</p>
                    </div>
                </div>
            </div>

            <div class="col card-col">
                <p>Morse Code Output:</p>
                <div class="card h-75">
                    <div class="card-body d-flex flex-column">
                        <p>{{ mcode_string }}</p>
                    </div>
                </div>
            </div>
        </div>

    </div>



</body>
</html>